NetBSD Problem Report #51991

From root@shapeshifter.nextvr.com  Tue Feb 21 22:20:15 2017
Return-Path: <root@shapeshifter.nextvr.com>
Received: from mail.netbsd.org (mail.netbsd.org [199.233.217.200])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client CN "mail.netbsd.org", Issuer "Postmaster NetBSD.org" (verified OK))
	by mollari.NetBSD.org (Postfix) with ESMTPS id 514867A25E
	for <gnats-bugs@gnats.NetBSD.org>; Tue, 21 Feb 2017 22:20:15 +0000 (UTC)
Message-Id: <20170221222012.E599216F2711@shapeshifter.nextvr.com>
Date: Tue, 21 Feb 2017 22:20:12 +0000 (UTC)
From: john@ziaspace.com
Reply-To: john@ziaspace.com
To: gnats-bugs@NetBSD.org
Subject: editors/vim is always broken
X-Send-Pr-Version: 3.95

>Number:         51991
>Category:       pkg
>Synopsis:       editors/vim can never be updated automatically
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          feedback
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Tue Feb 21 22:25:00 +0000 2017
>Closed-Date:    
>Last-Modified:  Tue Mar 14 06:44:18 +0000 2017
>Originator:     John Klos
>Release:        NetBSD 7.99.59
>Organization:

>Environment:


System: NetBSD shapeshifter.nextvr.com 7.99.59 NetBSD 7.99.59 (XEN3_DOM0) #0: Fri Jan 27 19:04:33 UTC 2017 john@shapeshifter.nextvr.com:/usr/obj-amd64/sys/arch/amd64/compile/XEN3_DOM0 amd64
Architecture: x86_64
Machine: amd64
>Description:

With pkgsrc/editors/vim installed, try to update. This has happened for years now:

=> Creating binary package /usr/pkgsrc/editors/vim-share/work/.packages/vim-share-8.0.0341.tgz
===> package-message [vim-share-8.0.0341] ===> Building binary package for vim-share-8.0.0341
=> Creating binary package /usr/pkgsrc/packages/All/vim-share-8.0.0341.tgz
===> replace-message [vim-share-8.0.0341] ===> Replacing for vim-share-8.0.0341
===> replace-destdir [vim-share-8.0.0341] ===> Updating using binary package of vim-share-8.0.0341
/usr/sbin/pkg_add -K /var/db/pkg -U -D /usr/pkgsrc/editors/vim-share/work/.packages/vim-share-8.0.0341.tgz
pkg_add: Can't open +CONTENTS of depending package vim-8.0.0086
pkg_add: 1 package addition failed
*** Error code 1

Stop.
make[2]: stopped in /usr/pkgsrc/editors/vim-share
*** Error code 1

Stop.
make[1]: stopped in /usr/pkgsrc/editors/vim-share
*** Error code 1

Stop.
make: stopped in /usr/pkgsrc/editors/vim-share
*** 'make replace' failed for package vim-share.
*** Please read the errors listed above, fix the problem,
*** then re-run pkg_rolling-replace to continue.


Also:

shapeshifter# pkg_delete vim-share
Package `vim-share-8.0.0161' is still required by other packages:
        vim-8.0.0086
        vim-8.0.0161
shapeshifter# pkg_delete vim
shapeshifter# pkg_delete vim-share
Package `vim-share-8.0.0161' is still required by other packages:
        vim-8.0.0086

>How-To-Repeat:

>Fix:


>Release-Note:

>Audit-Trail:

Responsible-Changed-From-To: gnats-admin->pkg-manager
Responsible-Changed-By: dholland@NetBSD.org
Responsible-Changed-When: Tue, 14 Mar 2017 06:42:21 +0000
Responsible-Changed-Why:
fix up mangled PR


State-Changed-From-To: open->feedback
State-Changed-By: dholland@NetBSD.org
State-Changed-When: Tue, 14 Mar 2017 06:44:18 +0000
State-Changed-Why:
FWIW, I have never seen this. However, this symptom:

Package `vim-share-8.0.0161' is still required by other packages:
        vim-8.0.0086
        vim-8.0.0161

makes me think you should run pkg_admin rebuild-tree. Also check
/var/db/pkg (or equivalent) for extra leftover vim or vim-share
directories that shouldn't be there.


>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2007 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.